
Övning - KBT Coachning - Epic #3

3.1.2 - Intuitivt Kommunikationsgränssnitt

2025-10-29 15:59 - Fredrick Amnehagen

Status: To do Start date: 2026-01-01

Priority: Normal Due date: 2026-01-05

Assignee:  % Done: 0%

Category:  Estimated time: 12:00 hours

Target version: Product Backlog Spent time: 0:00 hour

Description

Att utforma ett enhetligt och intuitivt användargränssnitt för appens alla kommunikationsfunktioner (chatt, video, notiser och

bokningar). Designen ska proaktivt guida användaren, göra det tydligt när ny information finns tillgänglig och skapa ett tryggt och

lättförståeligt flöde för både vårdgivare och vårdtagare.

User Stories

Status för meddelanden

Som användare vill jag tydligt kunna se status på mina skickade meddelanden (t.ex. 'Levererat' och 'Läst') för att känna mig trygg

med att min coach/vårdtagare har tagit emot informationen.

Notiser och olästa meddelanden

Som användare vill jag få en tydlig notis (t.ex. en siffra på en ikon) som visar var det finns oläst information för att enkelt kunna hitta

och agera på nya meddelanden eller mötesbekräftelser.

Tydlig avsändare

Som coach (som har många patienter) vill jag ha en tydlig "Inkorg" eller chattlista där varje konversation tydligt visar namnet på

vårdtagaren för att enkelt kunna navigera och prioritera vem jag ska svara.

Skillnad på handlingar

Som användare i en konversationsvy vill jag se tydligt åtskilda knappar/ikoner för "Skicka textmeddelande" och "Starta videosamtal"

för att jag aldrig av misstag ska råka starta ett videosamtal när jag bara vill skriva text.

Läsbarhet i chatt

Som användare i en chatt vill jag att mina meddelanden och den andra personens meddelanden har en tydligt åtskild design (t.ex.

olika färg eller placering) för att snabbt och felfritt kunna läsa konversationen.

History

#1 - 2025-10-29 16:49 - Fredrick Amnehagen

- Due date changed from 2099-01-05 to 2030-01-05

- Start date changed from 2099-01-01 to 2030-01-01

#2 - 2025-10-30 18:42 - Fredrick Amnehagen

- Tracker changed from Feature to Epic

- Subject changed from 3.1.2 - jag ha en tydlig design för kommunikation to 3.1.2 - Intuitivt Kommunikationsgränssnitt

- Description updated

#3 - 2025-10-30 18:45 - Fredrick Amnehagen

- Parent task deleted (#2)

#4 - 2025-10-30 19:33 - Fredrick Amnehagen
- Target version changed from Sprint 1 to Product Backlog

#5 - 2025-10-30 19:44 - Fredrick Amnehagen

- Due date changed from 2030-01-05 to 2026-01-05

- Start date changed from 2030-01-01 to 2026-01-01
